# DataExchange
TKIGES
IGESGraph

# IGESGraph_HArray1OfTextFontDef Class Reference

`#include <IGESGraph_HArray1OfTextFontDef.hxx>`

## Public Member Functions

Standard_EXPORT | IGESGraph_HArray1OfTextFontDef (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | IGESGraph_HArray1OfTextFontDef (const Standard_Integer Low, const Standard_Integer Up, const Handle(IGESGraph_TextFontDef)&V)
Standard_EXPORT void | Init (const Handle(IGESGraph_TextFontDef)&V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(IGESGraph_TextFontDef)&Value)
const Handle_IGESGraph_TextFontDef & | Value (const Standard_Integer Index) const
Handle_IGESGraph_TextFontDef & | ChangeValue (const Standard_Integer Index)
const IGESGraph_Array1OfTextFontDef & | Array1 () const
IGESGraph_Array1OfTextFontDef & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

IGESGraph_Array1OfTextFontDef | myArray

## Constructor & Destructor Documentation

Standard_EXPORT IGESGraph_HArray1OfTextFontDef::IGESGraph_HArray1OfTextFontDef | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT IGESGraph_HArray1OfTextFontDef::IGESGraph_HArray1OfTextFontDef | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle(IGESGraph_TextFontDef)& | V
| ) |

## Member Function Documentation

const IGESGraph_Array1OfTextFontDef& IGESGraph_HArray1OfTextFontDef::Array1 | ( |  | ) | const

IGESGraph_Array1OfTextFontDef& IGESGraph_HArray1OfTextFontDef::ChangeArray1 | ( |  | ) |

Handle_IGESGraph_TextFontDef& IGESGraph_HArray1OfTextFontDef::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const IGESGraph_HArray1OfTextFontDef::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void IGESGraph_HArray1OfTextFontDef::Init | ( | const Handle(IGESGraph_TextFontDef)& | V | ) |

Standard_Integer IGESGraph_HArray1OfTextFontDef::Length | ( |  | ) | const

Standard_Integer IGESGraph_HArray1OfTextFontDef::Lower | ( |  | ) | const

void IGESGraph_HArray1OfTextFontDef::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(IGESGraph_TextFontDef)& | Value
| ) |

Standard_Integer IGESGraph_HArray1OfTextFontDef::Upper | ( |  | ) | const

const Handle_IGESGraph_TextFontDef& IGESGraph_HArray1OfTextFontDef::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

IGESGraph_Array1OfTextFontDef IGESGraph_HArray1OfTextFontDef::myArray`[private]`

The documentation for this class was generated from the following file:

- IGESGraph_HArray1OfTextFontDef.hxx